com.google.appengine.tools.development.testing

## Enum LocalMemcacheServiceTestConfig.SizeUnit

- java.lang.Object
- - java.lang.Enum<LocalMemcacheServiceTestConfig.SizeUnit>
  - - com.google.appengine.tools.development.testing.LocalMemcacheServiceTestConfig.SizeUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocalMemcacheServiceTestConfig.SizeUnit>
  Enclosing class:
    LocalMemcacheServiceTestConfig

      public static enum LocalMemcacheServiceTestConfig.SizeUnit
      extends java.lang.Enum<LocalMemcacheServiceTestConfig.SizeUnit>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTES`
    `KB`
    `MB`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalMemcacheServiceTestConfig.SizeUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocalMemcacheServiceTestConfig.SizeUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTES

          public static final LocalMemcacheServiceTestConfig.SizeUnit BYTES

    - #### KB

          public static final LocalMemcacheServiceTestConfig.SizeUnit KB

    - #### MB

          public static final LocalMemcacheServiceTestConfig.SizeUnit MB

  - ### Method Detail

    - #### values

          public static LocalMemcacheServiceTestConfig.SizeUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalMemcacheServiceTestConfig.SizeUnit c : LocalMemcacheServiceTestConfig.SizeUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalMemcacheServiceTestConfig.SizeUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null